### Struct

# GioUnix MountEntry

#### Description [src]

    struct GUnixMountEntry {
      /* No available fields */
    }

Defines a Unix mount entry (e.g. `/media/cdrom`). This corresponds roughly to a mtab entry.

#### Functions

###### g_unix_mount_entry_at

Gets a `GUnixMountEntry` for a given mount path.

since: 2.84

###### g_unix_mount_entry_for

Gets a `GUnixMountEntry` for a given file path.

since: 2.84

#### Instance methods

###### g_unix_mount_entry_compare

Compares two Unix mounts.

since: 2.84

###### g_unix_mount_entry_copy

Makes a copy of `mount_entry`.

since: 2.84

###### g_unix_mount_entry_free

Frees a Unix mount.

since: 2.84

###### g_unix_mount_entry_get_device_path

Gets the device path for a Unix mount.

since: 2.84

###### g_unix_mount_entry_get_fs_type

Gets the filesystem type for the Unix mount.

since: 2.84

###### g_unix_mount_entry_get_mount_path

Gets the mount path for a Unix mount.

since: 2.84

###### g_unix_mount_entry_get_options

Gets a comma separated list of mount options for the Unix mount.

since: 2.84

###### g_unix_mount_entry_get_root_path

Gets the root of the mount within the filesystem. This is useful e.g. for mounts created by bind operation, or btrfs subvolumes.

since: 2.84

###### g_unix_mount_entry_guess_can_eject

Guesses whether a Unix mount entry can be ejected.

since: 2.84

###### g_unix_mount_entry_guess_icon

Guesses the icon of a Unix mount entry.

since: 2.84

###### g_unix_mount_entry_guess_name

Guesses the name of a Unix mount entry.

since: 2.84

###### g_unix_mount_entry_guess_should_display

Guesses whether a Unix mount entry should be displayed in the UI.

since: 2.84

###### g_unix_mount_entry_guess_symbolic_icon

Guesses the symbolic icon of a Unix mount entry.

since: 2.84

###### g_unix_mount_entry_is_readonly

Checks if a Unix mount is mounted read only.

since: 2.84

###### g_unix_mount_entry_is_system_internal

Checks if a Unix mount is a system mount.

since: 2.84